Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Named_RT_Mutex_Manager Class Reference

Manages the names of named and unnamed RT Mutexes. More...

`#include <RT_ORB.h>`

List of all members.

## Public Methods
| TAO_Named_RT_Mutex_Manager (void)
| Constructor.
| ~TAO_Named_RT_Mutex_Manager (void)
| Destructor.
RTCORBA::Mutex_ptr | create_mutex (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy_mutex (RTCORBA::Mutex_ptr the_mutex ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
RTCORBA::Mutex_ptr | create_named_mutex (const char *name, CORBA::Boolean_out created_flag ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
RTCORBA::Mutex_ptr | open_named_mutex (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, RTCORBA::RTORB::MutexNotFound )

## Detailed Description

Manages the names of named and unnamed RT Mutexes.

## Constructor & Destructor Documentation

TAO_Named_RT_Mutex_Manager::TAO_Named_RT_Mutex_Manager | ( | void |  | ) |

| Constructor.

TAO_Named_RT_Mutex_Manager::~TAO_Named_RT_Mutex_Manager | ( | void |  | ) |

| Destructor.

## Member Function Documentation

RTCORBA::Mutex_ptr TAO_Named_RT_Mutex_Manager::create_mutex | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

RTCORBA::Mutex_ptr TAO_Named_RT_Mutex_Manager::create_named_mutex | ( | const char * | name,
|  | CORBA::Boolean_out created_flag | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

void TAO_Named_RT_Mutex_Manager::destroy_mutex | ( | RTCORBA::Mutex_ptr the_mutex | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)

RTCORBA::Mutex_ptr TAO_Named_RT_Mutex_Manager::open_named_mutex | ( | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, RTCORBA::RTORB::MutexNotFound )

The documentation for this class was generated from the following files:

- RT_ORB.h
- RT_ORB.cpp